# Strapi

Strapi is a open-source Node.js rich framework for building applications and services.

Strapi enables developers to focus on writing reusable application logic instead of spending time
building infrastructure. It is designed for building practical, production-ready Node.js applications
in a matter of hours, not weeks.

Strapi is a framework that sits on top of [Koa](http://koajs.com/). Its ensemble of small modules work
together to provide simplicity, maintainability, and structural conventions to Node.js applications.

## Getting started in a minute

To install the latest stable release with the npm command-line tool:

```bash
$ npm install strapi -g
```

Strapi comes with a convenient command-line tool to quickly get your application scaffolded and running:

```bash
$ strapi new <appName>
$ cd <appName>
$ strapi start
```

At this point, if you visit [http://localhost:1337/](http://localhost:1337/) you will see the default home page.

The admin dashboard is available at [http://localhost:1337/admin/](http://localhost:1337/admin/).

Easily generate a complete API with controllers, models and routes using:

```bash
$ strapi generate api <apiName>
```

## Resources

- [Roadmap](ROADMAP.md)
- [Contributing guide](CONTRIBUTING.md)
- [MIT License](LICENSE.md)

## Links

- [Strapi website](http://strapi.io/)
- [Strapi news on Twitter](https://twitter.com/strapijs)
